%define major		1
%define libname		evhtp-lib
%define develname	evhtp-devel
%define release 4

Name:		libevhtp
Version:	1.2.11n
Release:	%{release}%{dist}
Summary:	A more flexible replacement for libevent's http API
License:	BSD
Group:		System/Libraries
Url:		https://github.com/ellzey/libevhtp
Source0:	https://github.com/ellzey/libevhtp/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		libevhtp-1.2.11-soname-and-pkgconfig.patch
Patch1:		libevhtp-1.2.11-internal-header-files-path.patch
BuildRequires:	cmake
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:  gcc-c++ 

%description
Libevhtp was created as a replacement API for Libevent's current
HTTP API. The reality of libevent's http interface is that it
was created as a JIT server, meaning the developer never thought
of it being used for creating a full-fledged HTTP service.
Infact I am under the impression that the libevent http API was
designed almost as an example of what you can do with libevent.
It's not Apache in a box, but more and more developers are
attempting to use it as so.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libevhtp was created as a replacement API for Libevent's current
HTTP API. The reality of libevent's http interface is that it
was created as a JIT server, meaning the developer never thought
of it being used for creating a full-fledged HTTP service.
Infact I am under the impression that the libevent http API was
designed almost as an example of what you can do with libevent.
It's not Apache in a box, but more and more developers are
attempting to use it as so.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	evhtp-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake -DEVHTP_BUILD_SHARED:STRING=ON
make

%install
%make_install

%files
%doc ChangeLog README.markdown
%doc LICENSE 
%{_libdir}/libevhtp.so.%{major}.*
%{_libdir}/libevhtp.so*

%files -n %{libname}
%{_libdir}/libevhtp.so.%{major}.*
%{_libdir}/libevhtp.so*

%files -n %{develname}
%doc ChangeLog README.markdown
%doc LICENSE
%{_includedir}/evhtp/
%{_libdir}/libevhtp.so
%{_libdir}/pkgconfig/evhtp.pc


%changelog
* Wed Feb 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> Version:	1.2.11n-4.sme
- improve patch for internal-header-files-path

* Mon Feb 19 2018 Jean-Philippe Pialasse <tests@pialasse.com> - 1.2.11n-3
- first import for SME Server
- tidy the spec file to get it build with mock

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 1.2.11n-2.mga6
+ Revision: 1086231
- rebuild for new libevent

* Thu May 12 2016 daviddavid <daviddavid> 1.2.11n-1.mga6
+ Revision: 1014272
- initial package libevhtp

